HtmlTag (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.convert.seamtext.tags.HtmlTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.convert.seamtext.tags
Class HtmlTag

    java.lang.Object
      org.richfaces.convert.seamtext.tags.HtmlTag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  EmptyHtmlTag, ParagraphTag, RootTag

    public class HtmlTag

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `A`
`static java.lang.String` | `AREA`
`static java.lang.String` | `BLOCKQOUTE`
`protected java.util.LinkedList<java.lang.Object>` | `body`
`static java.lang.String` | `BR`
`static java.lang.String` | `COL`
`static java.lang.String` | `DEL`
`static java.lang.String` | `H1`
`static java.lang.String` | `H2`
`static java.lang.String` | `H3`
`static java.lang.String` | `H4`
`static java.lang.String` | `HR`
`static java.lang.String` | `I`
`static java.lang.String` | `IMG`
`static java.lang.String` | `LI`
`static java.lang.String` | `OL`
`static java.lang.String` | `P`
`static java.lang.String` | `PRE`
`static java.lang.String` | `Q`
`static java.lang.String` | `SUP`
`static java.lang.String` | `TT`
`static java.lang.String` | `U`
`static java.lang.String` | `UL`

Method Summary
`void` | `appendBody(HtmlTag tag)`
`void` | `appendBody(java.lang.String str)`
`protected void` | `appendChildTag(java.lang.StringBuilder res, HtmlTag child)`
`void` | `cleanBody()`
`protected java.lang.Object` | `clone()`
`protected HtmlTag` | `cloneTag()`
`java.lang.String` | `getAttribute(java.lang.String attr)`
`java.util.Map<java.lang.String,java.lang.String>` | `getAttributes()`
`java.lang.String` | `getName()`
`boolean` | `isBodyEmpty()`
`protected boolean` | `isBreakLineChild(java.lang.Object child)`
`boolean` | `isHeader()`
`boolean` | `isLineTag()`
`boolean` | `isLink()`
`boolean` | `isList()`
`boolean` | `isListItem()`
`boolean` | `isParagraph()`
`boolean` | `isPreFormattedElement()`
`boolean` | `isQuote()`
`protected java.lang.String` | `prepareValue(java.lang.String value)`
`java.lang.String` | `print()`
`protected java.lang.String` | `printAttributes()`
`protected java.lang.String` | `printBody()`
`protected java.lang.String` | `printEnd()`
`java.lang.String` | `printPlain()`
`protected java.lang.String` | `printPlainEnd()`
`protected java.lang.String` | `printPlainStart()`
`protected java.lang.String` | `printStart()`
`protected java.lang.String` | `printStartSuffix()`
`void` | `setAttributes(java.util.Map<java.lang.String,java.lang.String> attributes)`
`void` | `setEmpty()`
`void` | `setName(java.lang.String name)`
`void` | `setNotEmpty()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HR

    public static final java.lang.String HR

See Also:
  Constant Field Values

### BR

    public static final java.lang.String BR

See Also:
  Constant Field Values

### IMG

    public static final java.lang.String IMG

See Also:
  Constant Field Values

### AREA

    public static final java.lang.String AREA

See Also:
  Constant Field Values

### COL

    public static final java.lang.String COL

See Also:
  Constant Field Values

### A

    public static final java.lang.String A

See Also:
  Constant Field Values

### H1

    public static final java.lang.String H1

See Also:
  Constant Field Values

### H2

    public static final java.lang.String H2

See Also:
  Constant Field Values

### H3

    public static final java.lang.String H3

See Also:
  Constant Field Values

### H4

    public static final java.lang.String H4

See Also:
  Constant Field Values

### P

    public static final java.lang.String P

See Also:
  Constant Field Values

### UL

    public static final java.lang.String UL

See Also:
  Constant Field Values

### OL

    public static final java.lang.String OL

See Also:
  Constant Field Values

### LI

    public static final java.lang.String LI

See Also:
  Constant Field Values

### PRE

    public static final java.lang.String PRE

See Also:
  Constant Field Values

### TT

    public static final java.lang.String TT

See Also:
  Constant Field Values

### DEL

    public static final java.lang.String DEL

See Also:
  Constant Field Values

### SUP

    public static final java.lang.String SUP

See Also:
  Constant Field Values

### Q

    public static final java.lang.String Q

See Also:
  Constant Field Values

### I

    public static final java.lang.String I

See Also:
  Constant Field Values

### U

    public static final java.lang.String U

See Also:
  Constant Field Values

### BLOCKQOUTE

    public static final java.lang.String BLOCKQOUTE

See Also:
  Constant Field Values

### body

    protected java.util.LinkedList<java.lang.Object> body

Method Detail

### isBreakLineChild

    protected boolean isBreakLineChild(java.lang.Object child)

### printPlainStart

    protected java.lang.String printPlainStart()

### printStartSuffix

    protected java.lang.String printStartSuffix()

### printStart

    protected java.lang.String printStart()

### printAttributes

    protected java.lang.String printAttributes()

### prepareValue

    protected java.lang.String prepareValue(java.lang.String value)

### appendChildTag

    protected void appendChildTag(java.lang.StringBuilder res,
                                  HtmlTag child)

### printBody

    protected java.lang.String printBody()

### appendBody

    public void appendBody(HtmlTag tag)

### appendBody

    public void appendBody(java.lang.String str)

### cleanBody

    public void cleanBody()

### isBodyEmpty

    public boolean isBodyEmpty()

### printPlainEnd

    protected java.lang.String printPlainEnd()

### printEnd

    protected java.lang.String printEnd()

### isLineTag

    public boolean isLineTag()

### isQuote

    public boolean isQuote()

### isLink

    public boolean isLink()

### isHeader

    public boolean isHeader()

### isParagraph

    public boolean isParagraph()

### isList

    public boolean isList()

### isListItem

    public boolean isListItem()

### isPreFormattedElement

    public boolean isPreFormattedElement()

### setEmpty

    public void setEmpty()

### setNotEmpty

    public void setNotEmpty()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getAttribute

    public java.lang.String getAttribute(java.lang.String attr)

### getAttributes

    public java.util.Map<java.lang.String,java.lang.String> getAttributes()

### setAttributes

    public void setAttributes(java.util.Map<java.lang.String,java.lang.String> attributes)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### print

    public java.lang.String print()

### printPlain

    public java.lang.String printPlain()

### cloneTag

    protected HtmlTag cloneTag()

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.